﻿using Spire.Cloud.Powerpoint.Sdk.Client;
using Spire.Cloud.Powerpoint.Sdk.Api;
using Spire.Cloud.Powerpoint.Sdk.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;

namespace CloudPowerpoint
{
    class GeneralApiDemo
    {
       static String appId = "your id";
       static String appKey = "your key";
        public static void PostPptConvert()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            GeneralApi generalApi = new GeneralApi(configuration);
            string format = ExportFormat.Ppt.ToString();
            string inputFilePath = "D:/input/test.pptx";
            System.IO.Stream document = new FileStream(inputFilePath, FileMode.Open);
            string password = null;
            var response = generalApi.PostPptConvert(format, document, password);
            document.Close();
        }
        public static void PutPptConvert()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            GeneralApi generalApi = new GeneralApi(configuration);
            string format = ExportFormat.Pdf.ToString();
            string outputFilePath = "output/PutPptConvert.pdf";
            string inputFilePath = "D:/input/test.pptx";
            System.IO.Stream document = new FileStream(inputFilePath, FileMode.Open);
            string password = null;
            generalApi.PutPptConvert(format, outputFilePath, document, password);
            document.Close();

        }
    }
}
