﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Spire.Cloud.Powerpoint.Sdk.Client;
using Spire.Cloud.Powerpoint.Sdk.Api;
using Spire.Cloud.Powerpoint.Sdk.Model;

namespace CloudPowerpoint
{
    class TextApiDemo
    {
        static String appId = "your id";
        static String appKey = "your key";
        public static void GetPptPresentationTextItems()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            TextApi textApi = new TextApi(configuration);
            string name = "test.pptx";
            bool? withEmpty = false;
            string password = null;
            string folder = "input";
            string storage = null;
            var response = textApi.GetPptPresentationTextItems(name, withEmpty, password, folder, storage);
        }
        public static void GetPptSlideTextItems()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            TextApi textApi = new TextApi(configuration);
            string name = "test.pptx";
            int? slideIndex = 0;
            bool? withEmpty = false;
            string password = null;
            string folder = "input";
            string storage = null;
            var response = textApi.GetPptSlideTextItems(name, slideIndex, withEmpty, password, folder, storage);       
        }
        public static void PostPptPresentationReplaceText()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            TextApi textApi = new TextApi(configuration);
            string name = "test.pptx";
            string oldValue = "Hello";
            string newValue = "Hi";
            bool? ignoreCase = false;
            string password = null;
            string folder = "input";
            string storage = null;
            var response = textApi.PostPptPresentationReplaceText(name, oldValue, newValue, ignoreCase, password, folder, storage);
        }
        public static void PostPptSlideReplaceText()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            TextApi textApi = new TextApi(configuration);
            string name = "test1.pptx";
            int? slideIndex = 2;
            string oldValue = "Slide1";
            string newValue = "Slide001";
            bool? ignoreCase = true;
            string password = null;
            string folder = "input";
            string storage = null;
            var response = textApi.PostPptSlideReplaceText(name, slideIndex, oldValue, newValue, ignoreCase, password, folder, storage);
        }
    }
}
