﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Spire.Cloud.Powerpoint.Sdk.Client;
using Spire.Cloud.Powerpoint.Sdk.Api;
using Spire.Cloud.Powerpoint.Sdk.Model;

namespace CloudPowerpoint
{
    class PropertiesApiDemo
    {
        static String appId = "your id";
        static String appKey = "your key";
        public static void DeletePptDocumentProperties()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            PropertiesApi propertiesApi = new PropertiesApi(configuration);
            string name = "deletePptDocumentProperties.pptx";
            string password = null;
            string folder = "input";
            string storage = null;
            var response = propertiesApi.DeletePptDocumentProperties(name, password, folder, storage);
        }
        public static void DeletePptDocumentProperty()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            PropertiesApi propertiesApi = new PropertiesApi(configuration);
            string name = "deletePptDocumentProperty.pptx";
            string propertyName = "Author";
            string password = null;
            string folder = "input";
            string storage = null;
            var response = propertiesApi.DeletePptDocumentProperty(name, propertyName, password, folder, storage);
        }
        public static void GetPptDocumentProperties()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            PropertiesApi propertiesApi = new PropertiesApi(configuration);
            string name = "GetPptDocumentProperties.pptx";
            string password = null;
            string folder = "input";
            string storage = null;
            var response = propertiesApi.GetPptDocumentProperties(name, password, folder, storage);
        }
        public static void GetPptDocumentProperty()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            PropertiesApi propertiesApi = new PropertiesApi(configuration);
            string name = "GetPptDocumentProperty.pptx";
            string propertyName = "Author";
            string password = null;
            string folder = "input";
            string storage = null;
            var response = propertiesApi.GetPptDocumentProperty(name, propertyName, password, folder, storage);
        }
        public static void PostPptSetDocumentProperties()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            PropertiesApi propertiesApi = new PropertiesApi(configuration);
            string name = "PostPptSetDocumentProperties.pptx";
            DocumentProperty property1 = new DocumentProperty("customizeProperty001", "customizeValue", false);
            DocumentProperty property2 = new DocumentProperty("Author", "e-iceblue", false);
            List<DocumentProperty> List = new List<DocumentProperty>();
            List.Add(property1);
            List.Add(property2);
            DocumentProperties properties = new DocumentProperties(List);
            string password = null;
            string folder = "input";
            string storage = null;
            var response = propertiesApi.PostPptSetDocumentProperties(name, properties, password, folder, storage);
        }
        public static void PutPptSetDocumentProperty()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            PropertiesApi propertiesApi = new PropertiesApi(configuration);
            string name = "PutPptSetDocumentProperty.pptx";
            string propertyName = "customizePropertyTest";
            DocumentProperty property = new DocumentProperty(propertyName, "customizeValueTest", false);
            string password = null;
            string folder = "input";
            string storage = null;
            var response = propertiesApi.PutPptSetDocumentProperty(name, propertyName, property, password, folder, storage);
        }
    }
}
